Bug 59727 - new init script works, but prints a $ before messages
Summary: new init script works, but prints a $ before messages
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: at   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Aaron Brown
URL: at-3.1.8-22.2 appears to have typos i...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-12 07:37 UTC by sundell
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 05:19:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sundell 2002-02-12 07:37:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.20 i686; Nav)

Description of problem:
The first $ in each of these three lines from the init script for at-3.1.8-22.2
seems sort of odd:

echo -n $"Starting $prog: "
echo -n $"Stopping $prog: "
echo $"Usage: $0 {start|stop|restart|condrestart|status}"

Version-Release number of selected component (if applicable):
at-3.1.8-22.2

How reproducible:
Always

Steps to Reproduce:
1. /etc/rc.d/init.d/atd stop
or
2. /etc/rc.d/init.d/atd start
	

Actual Results:
1. $Stopping atd:                                             [  OK  ]
2. $Starting atd:                                             [  OK  ]


Expected Results:
1. Stopping atd:                                             [  OK  ]
2. Starting atd:                                             [  OK  ]


Maybe this is on purpose, but it sure seems strange... Obviously this is only
cosmetic.

Comment 1 Eido Inoue 2002-02-12 19:17:18 UTC
What shell are you using? Seems to work for an updated 6.2....

Comment 2 sundell 2002-02-12 21:57:56 UTC
I'm using bash-1.14.7-23.6x as root's login shell, but I fail to see how that is
relevant, as the script is run through #!/bin/bash

The init script for atd says, for instance:
    echo -n $"Starting $prog: "
what is that $ doing there?
Should it not be:
    echo -n "Starting $prog: "

For instance, from /etc/rc.d/init.d/cron:
    echo -n "Starting cron daemon: "


Comment 3 Eido Inoue 2002-02-13 16:10:00 UTC
The $ before a string is used for gettext so that non-English environments have
that Start and Stop message translated to different languages. Unfortunately,
bash 1.14 doesn't support this, and the init script that was sent out should
have been tweaked for 6.2 to remove this cosmetic (but completely harmless) bug.

the bash2 supplied with 6.2 will do the gettext. I don't recommend symlinking
bash to bash2 on a 6.2, and this is a low-priority cosmetic bug.

Thanks for pointing this out.



Note You need to log in before you can comment on or make changes to this bug.